### Method

# Cogl Pipeline set_uniform_1f

#### Declaration [src]

    void
    cogl_pipeline_set_uniform_1f (
      CoglPipeline* pipeline,
      int uniform_location,
      float value
    )

#### Description [src]

Sets a new value for the uniform at `uniform_location`. If this pipeline has a user program attached and is later used as a source for drawing, the given value will be assigned to the uniform which can be accessed from the shader’s source. The value for `uniform_location` should be retrieved from the string name of the uniform by calling cogl_pipeline_get_uniform_location().

This function should be used to set uniforms that are of type float. It can also be used to set a single member of a float array uniform.

#### Parameters

`uniform_location`

  Type: `int`

  The uniform’s location identifier.

`value`

  Type: `float`

  The new value for the uniform.